package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyShopUpdateinfoRequest struct {
	/*
	   请求对象     */
	ShopInfoUpdateRequest *domain.AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest `json:"shop_info_update_request" required:"true" `
}

func (s *AlibabaAelophyShopUpdateinfoRequest) SetShopInfoUpdateRequest(v domain.AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest) *AlibabaAelophyShopUpdateinfoRequest {
	s.ShopInfoUpdateRequest = &v
	return s
}

func (req *AlibabaAelophyShopUpdateinfoRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ShopInfoUpdateRequest != nil {
		paramMap["shop_info_update_request"] = util.ConvertStruct(*req.ShopInfoUpdateRequest)
	}
	return paramMap
}

func (req *AlibabaAelophyShopUpdateinfoRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
